For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTClone a Group
      • POSTCreate a group
      • DELDelete a group
      • PATCHEdit a group
      • GETReturn list of groups
LogoLogo
SupportDeel Home
EndpointsGroups

Return list of groups

GET
/groups
GET
/rest/v2/groups
$curl https://api.letsdeel.com/rest/v2/groups \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "grp_9f8b7c6d5e4a3b2c1d0e",
5 "name": "Engineering Team",
6 "status": "active",
7 "managers": 3,
8 "created_at": "2023-11-20T08:45:00Z",
9 "updated_at": "2024-04-10T14:22:00Z",
10 "archived_at": null,
11 "external_metadata": {
12 "department": "Product Development",
13 "location": "New York"
14 }
15 }
16 ],
17 "page": {
18 "cursor": "eyJwYWdlIjoxfQ==",
19 "total_rows": 25
20 }
21}

Returns a paginated list of groups in the organization. Archived groups are included by default and can be excluded via the include_archived_groups parameter. Token scopes: groups:read

Was this page helpful?
Previous

Get business visa eligibility and requirements

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional1-100Defaults to 100

The maximum number of groups to return (between 1 and 100)

sort_orderenumOptionalDefaults to ASC

Sort the results in ascending (ASC) or descending (DESC) order based on the group name.

Allowed values:
cursorstringOptional
The encoded cursor for paginated results. This is an opaque string that allows fetching the next set of results.
include_archived_groupsbooleanOptionalDefaults to true

Include archived groups (soft deleted records). Defaults to true.

external_metadatastringOptional
Extra information about the group.

Response

A list of groups in the organization.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/